[Overview][Classes][Procedures and functions][Index] | Reference for unit 'XMLPropStorage' (#lcl)

# TCustomXMLPropStorage.FileName

Name of the file where the property data is saved in XML format.

## Declaration

Source position: xmlpropstorage.pas line 56

`public property TCustomXMLPropStorage.FileName : string read FFileName write FFileName;`

## Description

A default file name derived from the application name is used if no value is specified in the property. For Windows, the file has an '.xml' extension, and is stored in the same directory as the application executable. For example: 'PROGRAMNAME.XML'. For Linux, the file (with a leading '.' and without an extension) is stored in the home directory for the current user. For example: '.PROGRAMNAME'.